> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch transaction document

> Returns the document associated with the provided document id. This endpoint can fetch any document associated with the business, including transaction-specific receipts.



## OpenAPI

````yaml get /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}:
    get:
      tags: []
      summary: Fetch transaction document
      description: >-
        Returns the document associated with the provided document id. This
        endpoint can fetch any document associated with the business, including
        transaction-specific receipts.
      operationId: business.s3_doc.get
      parameters:
        - name: businessId
          in: path
          description: >-
            The UUID of the business that the transaction to fetch the document
            for belongs to
          required: true
          schema:
            type: string
        - name: documentId
          in: path
          description: The UUID of the document to fetch
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/S3PresignedUrl'
        '404':
          description: Business, transaction, or document id is not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    S3PresignedUrl:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be 'S3_Presigned_Url'.
          example: S3_Presigned_Url
        presignedUrl:
          type: string
          description: Pre-signed URL to download a document
          example: >
            https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
        fileType:
          type: string
          description: The file type of the document
          example: csv
      description: A pre-signed URL to download a document
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````